Bug 7436 - Set itemtypes.rentalcharge = 0 in sample data for nb-NO and de-DE
Summary: Set itemtypes.rentalcharge = 0 in sample data for nb-NO and de-DE
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Installation and upgrade (web-based installer) (show other bugs)
Version: 3.6
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Magnus Enger
QA Contact: Ian Walls
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-01-11 14:58 UTC by Magnus Enger
Modified: 2013-12-05 19:59 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 7436 - Set itemtypes.rentalcharge = 0 in sample data for nb-NO and de-DE (3.69 KB, patch)
2012-03-26 20:08 UTC, Magnus Enger
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 7436 - Set itemtypes.rentalcharge = 0 in sample data for nb-NO and de-DE (4.21 KB, patch)
2012-03-27 19:34 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Magnus Enger 2012-01-11 14:58:57 UTC
I think very few libraries in Norway charge anything for lending materials, so having lots of rentalcharges in the sample data makes litle sense.
Comment 1 Katrin Fischer 2012-01-11 15:46:13 UTC
Hi Magnuse, 
I think the same applies to German libraries and the rental charge is a bit annoying when working with the sample data. Could you perhaps remove it from the German files too?
Comment 2 Magnus Enger 2012-03-26 20:08:55 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2012-03-27 19:34:48 UTC
Created attachment 8659 [details] [review]
[SIGNED-OFF] Bug 7436 - Set itemtypes.rentalcharge = 0 in sample data for nb-NO and de-DE

Set the rentalcharge = 0 for sample itemtypes (except Music for nb-NO).

To test:
Run through the web-installer for nb-NO and de-DE, and check that
itemtypes are displayed correctly for each language.

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>.
Note: You have to install the language first in order to be able
to select it in the web installer. There was a problem
in the po files for nb-NO that kept all files from being created
correctly. I fixed the po file and did an installation with all sample
files. There is a problem with z3950servers.sql that is not caused
by this patch:
z3950servers.sql
ERROR 1136 (21S01) at line 1: Column count doesn't match value count at row 1

Web installer for de-DE ran without problems on the sample files.
Comment 4 Magnus Enger 2012-03-27 19:37:28 UTC
Katrin asked me to change the status on this one.
Comment 5 Ian Walls 2012-03-28 16:33:43 UTC
Change to default installer values only, not to any existing data.  Safe and sound, matches standard behaviour for the nationalities affected, marking as Passed QA
Comment 6 Paul Poulain 2012-03-29 08:44:37 UTC
patch pushed, but as you were on this file you could also have updated the insert to have the full version
INSERT INTO itemtypes (col1,col2) VALUES (val1,val2);

* column names
* removed `
Comment 7 Jared Camins-Esakov 2012-05-09 20:04:07 UTC
This bug will be included in the Koha 3.6.5 release.